{
  "schema_version": "1.4.0",
  "id": "GHSA-7w79-2w84-7wvc",
  "modified": "2022-05-01T23:39:39Z",
  "published": "2022-05-01T23:39:39Z",
  "aliases": [
    "CVE-2008-1391"
  ],
  "details": "Multiple integer overflows in libc in NetBSD 4.x, FreeBSD 6.x and 7.x, and probably other BSD and Apple Mac OS platforms allow context-dependent attackers to execute arbitrary code via large values of certain integer fields in the format argument to (1) the strfmon function in lib/libc/stdlib/strfmon.c, related to the GET_NUMBER macro; and (2) the printf function, related to left_prec and right_prec.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-1391"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/41504"
    },
    {
      "type": "WEB",
      "url": "https://lists.opensuse.org/opensuse-security-announce/2010-10/msg00007.html"
    },
    {
      "type": "WEB",
      "url": "http://cvsweb.netbsd.org/bsdweb.cgi/src/lib/libc/stdlib/strfmon.c"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce//2008//Dec/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29574"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33179"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/achievement_securityalert/53"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/3770"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT3338"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-2058"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/490158/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/28479"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1019722"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA08-350A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/3444"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-03-27T17:44:00Z"
  }
}